v1.0
get
/ec-library-svc/rest/v1.0/libraryHistory/{libraryId}
Retrieves the history for a specific library object.
Request
Path Parameters
-
libraryId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the library object.Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object LibraryHistoryDtoV1.0
Title:
LibraryHistoryDtoV1.0Information about the history of library modifications.
Nested Schema : LibraryHistoryDtoV1.0
Type:
objectTitle:
LibraryHistoryDtoV1.0Information about the history of library modifications.
Show Source
-
lastModifiedDate: string
(date-time)
Title:
Last modified dateDate and time when the resource was last modified.Example:2022-08-30T07:59:46.901Z -
libraryId: string
Title:
Library IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the library object.Example:B1B8327AFAA6412287106192AB5984EF -
libraryVersion: string
Title:
Library versionVersion identifier of the library.Example:1.0 -
status: string
Title:
StatusStatus of the resource.Example:DRAFT -
userId: string
Title:
User IDUnique user identifier (UUID) representing the investigator or system user who modified or interacted with the subject recordExample:B1B8327AFAA6412287106192AB5984EF -
userName: string
Title:
User nameName of the user that performed the modification.Example:John Doe
Examples
500 Response
Error
Nested Schema : details
Type:
object